FROM rabbitmq:3.5.3-management

# Resources
COPY scripts/rabbitmq-cluster /usr/local/bin/
COPY scripts/pre-entrypoint.sh /
COPY scripts/config.sh /

# Environment.
ENV RABBITMQ_USER user
ENV RABBITMQ_PASSWORD user

# Networking
EXPOSE 5672 15672 25672 4369 9100 9101 9102 9103 9104 9105

# Actions
ENTRYPOINT ["/pre-entrypoint.sh"]
CMD ["rabbitmq-cluster"]